## org.jgroups.protocols
Class FD.FdHeader

    java.lang.Object
      org.jgroups.Header
          org.jgroups.protocols.FD.FdHeader

All Implemented Interfaces:
  Streamable

Enclosing class:
  FD

    public static class FD.FdHeader

extends Header

Field Summary
`static byte` `HEARTBEAT`
`static byte` `HEARTBEAT_ACK`
`static byte` `SUSPECT`

Constructor Summary
`FD.FdHeader()`
`FD.FdHeader(byte type)`
`FD.FdHeader(byte type, java.util.Collection<Address> mbrs, Address from)`

Method Summary
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` `size()` To be implemented by subclasses.
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HEARTBEAT

    public static final byte HEARTBEAT

See Also:
  Constant Field Values

### HEARTBEAT_ACK

    public static final byte HEARTBEAT_ACK

See Also:
  Constant Field Values

### SUSPECT

    public static final byte SUSPECT

See Also:
  Constant Field Values

Constructor Detail

### FD.FdHeader

    public FD.FdHeader()

### FD.FdHeader

    public FD.FdHeader(byte type)

### FD.FdHeader

    public FD.FdHeader(byte type,
                       java.util.Collection<Address> mbrs,
                       Address from)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Header`

### size

    public int size()

  Description copied from class: `Header`
  To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

  Specified by:
    `size` in class `Header`

### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.